### Enumeration

# Gio DBusSignalFlags

since: 2.26

#### Declaration

    flags Gio.DBusSignalFlags

#### Description

Flags used when subscribing to signals via g_dbus_connection_signal_subscribe().

Available since: 2.26

#### Members

`G_DBUS_SIGNAL_FLAGS_NONE`

  No flags set.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.26
`G_DBUS_SIGNAL_FLAGS_NO_MATCH_RULE`

  Don’t actually send the AddMatch D-Bus call for this signal subscription. This gives you more control over which match rules you add (but you must add them manually).

  - Value: `1`
  - Nickname: `no-match-rule`
  - Available since: 2.26
`G_DBUS_SIGNAL_FLAGS_MATCH_ARG0_NAMESPACE`

  Match first arguments that contain a bus or interface name with the given namespace.

  - Value: `2`
  - Nickname: `match-arg0-namespace`
  - Available since: 2.26
`G_DBUS_SIGNAL_FLAGS_MATCH_ARG0_PATH`

  Match first arguments that contain an object path that is either equivalent to the given path, or one of the paths is a subpath of the other.

  - Value: `4`
  - Nickname: `match-arg0-path`
  - Available since: 2.26